#include <chronoptics/tof.hpp>
#include <iostream>

namespace tof = chronoptics::tof;

int main() {
  tof::TuiCamera cam("3030003");

  auto names = cam.get_multiple_names();
  auto descriptions = cam.get_multiple_descriptions();

  for (size_t i = 0; i < names.size(); i++) {
    std::cout << i << " " << names[i] << "\n\t" << descriptions[i] << "\n";
  }

  auto current_index = cam.config_index();

  std::cout << "Camera currently on config index " << current_index << "\n";

  cam.set_output_frame_types({tof::FrameType::XYZ});
  cam.start();

  cam.get_frames();

  for (size_t i = 0; i < names.size(); i++) {
    std::cout << "Switching to config " << i << "\n";

    cam.switch_config(i);
    cam.get_frames();

    std::cout << "Got frames for config " << i << "\n";
  }

  cam.switch_config(current_index);
  cam.get_frames();
}