import chronoptics.tof as tof

# File name to save to
fileName = "frames.csf"

# Amount of frames to capture
numFrames = 10

# Amount of frames to drop before capturing
dropFrames = 10

# Serial of camera to connect to, if empty will connect to the first found
serial = "3030003"

cam = tof.TuiCamera(serial)

cam.setOutputFrameTypes([tof.FrameType.Z, tof.FrameType.INTENSITY])

writer = tof.CsfWriter(fileName, cam)

cam.start()

# Drop frames
for i in range(dropFrames):
    cam.getFrames()

print("Frames dropped")

# Capture frames
for i in range(numFrames):
    frames = cam.getFrames()

    for frame in frames:
        writer.writeFrame(frame)

    # Explicitly delete frames such that they get cleaned up
    del frames

print("Frames captured")
